package http_model

type AddNewJobRequest struct {
	SupplierId           int    `json:"supplier_id"`           // 服务商ID
	JobName              string `json:"job_name"`              // 岗位名称
	JobDetail            string `json:"job_detail"`            // 企业描述
	CommercialCenter     string `json:"commercial_center"`     // 工作台权限
	CommercialManagement string `json:"commercial_management"` // 任务中心权限
	CooperatePermission  string `json:"cooperate_permission"`  // 推广合作中心权限
	FinancialPermission  string `json:"financial_permission"`  // 财务结算权限
}

type AddNewJobData struct {
}

func NewAddNewJobRequest() *AddNewJobRequest {
	return new(AddNewJobRequest)
}
func NewAddNewJobResponse() *CommonResponse {
	resp := new(CommonResponse)
	resp.Data = new(AddNewJobData)
	return resp
}
